
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Historial de pagos</h3>                          
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay pagos registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" class="text-black-50" style="font-size: 12px;">
                                <!-- <th>ID</th> -->
                                <th>FECHA DE EMISIÓN</th>
                                <th>CONCEPTO</th>  
                                <th>TOTAL</th>                              
                                <th>NOTAS</th>
                                <th>ACCIÓN</th>                                
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}                                  
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <!-- <td>{{ item.id }}</td> -->
                                                                            
                                      {% if item.fecha_de_emision %}
                                        <td>{{ item.fecha_de_emision }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                        
                                      {% if item.concepto %}
                                        <td>{{ item.concepto }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.total %}
                                        <td>{{ item.total }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.notas %}
                                        <td>{{ item.notas }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      <td class="d-flex justify-content-star">
                                        <a href="#" class="btn btn-info bg-gradient-primary">
                                          <i class="fa fa-print"></i> Imprimir
                                        </a>
                                      </td>
                                                                                                                                                                                                                  
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}

                            <div>
                                <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-icon-split">
                                    <span class="icon text-white-50">
                                        {% comment %} <i class="fas fa-arrow-left"></i> {% endcomment %}
                                        <i class="far fa-hand-point-left"></i>
                                    </span>
                                    <span class="text">Regresar</span>
                                </a>
                                
                            </div>
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

  

    
    